GLXGETCONTEXTIDEXT

NAME
glXGetContextIDEXT - get the XID for a context.

C SPECIFICATION
GLXContextID glXGetContextIDEXT( const GLXContext ctx )

PARAMETERS

ctx Specifies a GLX rendering context.

DESCRIPTION
glXGetContextIDEXT returns the XID associated with a GLXContext.

No round trip is forced to the server; unlike most X calls that return a value, glXGetContextIDEXT does not flush any pending events.

glXGetContextIDEXT is part of the EXT_import_context extension, not part of the core GLX command set. If GLX_EXT_import_context is included in the string returned by glXQueryExtensionsString, when called with argument GLX_EXTENSIONS, extension EXT_import_context is supported.

ERRORS
GLXBadContext is generated if ctx does not refer to a valid context.

SEE ALSO
glXCreateContext, glXQueryVersion, glXQueryExtensionsString